/**
 * @file Importe la configuration du LDAP au sein de l'application, et remplace certaines valeurs en fonction des variables d'environnement.
 * @author manifold
 */
var fs = require('fs');
var path = require('path');

// Point central ; tous les champs de la BDD sont 'cachés' dans config.json et pas visibles directement
const configPath = path.resolve('./', 'ldap_config.json');
const ldapConfig = JSON.parse(fs.readFileSync(configPath, 'utf8'));

const credentialsPath = path.resolve('./', 'ldap_connexion_config.json');
const credentialsConfig = JSON.parse(fs.readFileSync(credentialsPath));

// Override config server from environment
if (process.env.LDAP_URI != null) {
    ldapConfig.ldap.server = process.env.LDAP_URI;
}

module.exports = {
    "ldapConfig": ldapConfig,
    "credentialsConfig": credentialsConfig
};
